Skip to content
WP Engine Documentation

List site reports

GET
/site_reports
curl --request GET \
--url 'https://api.wpengineapi.com/v1/site_reports?site_id=example' \
--header 'Authorization: Basic <credentials>'

Returns a list of generated site reports for a particular site.

site_id
required
string format: uuid

Filter reports by site ID

OK

Media type application/json
object
reports

List of generated site reports

Array<object>
object
uuid

Unique identifier for the report

string format: uuid
title

Title of the report

string
date_range

Time period covered by the report

object
start_date

Start date of the reporting period

string format: date-time
end_date

End date of the reporting period

string format: date-time
created_at

Timestamp when the report was generated

string format: date-time
recipients

Email recipients who received the report

Array<object>
object
email

Email address of the recipient

string format: email
download_url

URL to download the report PDF

string format: uri
Example
{
"reports": [
{
"uuid": "18cb2c9c-5755-4b32-a59b-18acd206bc36",
"title": "Sample report",
"date_range": {
"start_date": "2026-05-13T02:00:42.163034Z",
"end_date": "2026-05-20T02:00:42.163034Z"
},
"created_at": "2026-05-21T02:00:42.286801Z",
"recipients": [
{
"email": "user@example.com"
}
],
"download_url": "https://storage.googleapis.com/sites-reports-bucket/report.pdf"
}
]
}

Bad Request

Media type application/json
object
message
required

A message regarding the error that occurred on the server

string
documentation_url

(Optional) A URL where documentation regarding this specific error can be found

string
errors

An array of error objects describing specific errors that arose when servicing the request

Array<object>
object
resource
required

The name of the resource that was being processed when the error occurred

string
field
required

(Optional) The specific field associated with the error

string
type
required

(Optional) A type associated with the error. invalid_value, access_error, value_unavailable

string
code
required

(Optional) A machine code relating to the error that occurred with the field and resource

string
message
required

(Optional) A human-readable message relating to the error that occurred with the field and resource

string
Example
{
"message": "Invalid Site: Name cannot be empty.",
"errors": [
{
"resource": "Site",
"field": "name",
"type": "invalid_value",
"code": "too_long",
"message": "Name is too long (maximum is 40 characters)"
}
]
}

Authentication Error

Media type application/json
object
message
required

A message regarding the error that occurred on the server

string
documentation_url

(Optional) A URL where documentation regarding this specific error can be found

string
Example
{
"message": "Bad Credentials"
}

Not authorized

Media type application/json
object
message
required

A message regarding the error that occurred on the server

string
documentation_url

(Optional) A URL where documentation regarding this specific error can be found

string
Example
{
"message": "You don't have permission to perform that action"
}

Not found

Media type application/json
object
message
required

A message regarding the error that occurred on the server

string
documentation_url

(Optional) A URL where documentation regarding this specific error can be found

string
Example
{
"message": "Not Found"
}

Too many requests

Media type application/json

Internal Server Error

Media type application/json
object
message
required

A message regarding the error that occurred on the server

string
Example
{
"message": "An unexpected error occurred, please try again in a few minutes"
}

An invalid response was received from an upstream server

Media type application/json

Service unavailable

Media type application/json